Bug 458773 - Review Request: geany-vc - Provide uniform access to different version-control systems
Review Request: geany-vc - Provide uniform access to different version-contro...
Status: CLOSED DUPLICATE of bug 490725
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://geany-plugins.sourceforge.net/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 03:52 EDT by Rajesh Krishnan
Modified: 2009-04-01 05:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 05:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
geany-vc-0.3-1.fc10.src.rpm (339.37 KB, application/x-rpm)
2008-08-12 03:52 EDT, Rajesh Krishnan
no flags Details
geany-vc.spec (2.27 KB, text/plain)
2008-08-12 03:54 EDT, Rajesh Krishnan
no flags Details

  None (edit)
Description Rajesh Krishnan 2008-08-12 03:52:55 EDT
Created attachment 314063 [details]
geany-vc-0.3-1.fc10.src.rpm

Description of problem:
New plugin for geany: geany-vc

Version-Release number of selected component (if applicable):
0.3

Actual results:
1. Builds fine on Fedora Rawhide (10).


Additional info:

1.  Currently I have repackaged the source with renamed base directory for the package.  The URL to the source package is shared off my local server.  Maybe in the next iteration we could perhaps retain the original name of the source package while keeping the visible name of the package as geany-vc (or geany-geanyvc if we prefer to be too strict).

2.  SRPM and SPEC are attached.

3.  Once the package is installed, the user can see the new plugin becomes available in Geany (see manage plugins dialog).

4.  Built on Fedora 9 + rawhide repositories enabled; on X86_64.
Comment 1 Rajesh Krishnan 2008-08-12 03:54:29 EDT
Created attachment 314064 [details]
geany-vc.spec
Comment 2 Paul Howarth 2008-08-12 04:52:02 EDT
PLEASE use the template below (as described at https://fedoraproject.org/wiki/PackageMaintainers/Join)for your package review submissions:

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=extras-review

It saves other people having to edit your submissions - the formatting is important because the review tickets are processed by scripts.
Comment 3 Rajesh Krishnan 2008-08-12 15:17:54 EDT
OK I will look for the new package submission template.

The question is, why doesn't the the Fedora bugzilla automatically display the template when I choose the "Package Review" option at the time of submission?  Something like that would be quite useful and much better than the static bug-submission template that gets shown.

-Rajesh Krishnan
Comment 4 Paul Howarth 2008-08-12 18:21:57 EDT
(In reply to comment #3)
> OK I will look for the new package submission template.
> 
> The question is, why doesn't the the Fedora bugzilla automatically display the
> template when I choose the "Package Review" option at the time of submission? 
> Something like that would be quite useful and much better than the static
> bug-submission template that gets shown.

Good point; how about raising that on fedora-infrastructure-list?
Comment 5 Debarshi Ray 2008-10-15 16:18:39 EDT
It has been two months since the review was submitted, but no Spec or SRPM has been provided. Please provide URLs to a Spec/SRPM pair as soon as possible.
Comment 6 Debarshi Ray 2008-10-15 16:32:33 EDT
Sorry, I missed those attachments. Please consider following the template (https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=extras-review) as mentioned by Paul in future.

Are you sponsored? https://admin.fedoraproject.org/accounts/group/members/packager does not mention a sponsor against your name. If you are not sponsored then please follow:
https://fedoraproject.org/wiki/PackageMaintainers/Join#Create_Your_Review_Request
Comment 7 Pierre-YvesChibon 2009-03-20 03:56:59 EDT
Are you still interested to get geanyvc in the repo ?
Comment 8 Pierre-YvesChibon 2009-04-01 05:22:52 EDT
I am willing to port geanyvc into Fedora, please step up if you still want (you were there the first ;-) )
We could also co-maintain it if you like
Comment 9 Parag AN(पराग) 2009-04-01 05:54:49 EDT
Ok. I see Pierre is interested to package this and no progress made here since months.
Therefore closing this and continuing review bug 490725

*** This bug has been marked as a duplicate of bug 490725 ***

Note You need to log in before you can comment on or make changes to this bug.